﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace Dapfor.Wpf.Grid.Demo.Examples.Basics.HitTests
{
    internal class DateTimeCustomConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is TimeSpan)
            {
                var ts = (TimeSpan) value;
                return string.Format("{0:.##} sec", ts.TotalSeconds);
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return Binding.DoNothing;
        }

        #endregion
    }
}