﻿using System.ComponentModel;
using Dapfor.Wpf.Data;

namespace Dapfor.Wpf.Grid.Demo.Examples.DataBinding.DeclarativeHierarchicalBinding
{
    public class Customer
    {
        public Customer(string name, string company, string phone)
        {
            Orders = new BindingList<Order>();
            Name = name;
            Company = company;
            Phone = phone;
        }

        [Field("IdName")]
        public string Name { get; private set; }

        public string Company { get; private set; }

        public string Phone { get; private set; }

        [HierarchicalField]
        public BindingList<Order> Orders { get; private set; }
    }
}