﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace Dapfor.Wpf.Grid.Demo.Examples.DataBinding.SharedData
{
    internal class IntDoubleValueConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is int)
            {
                return (double)((int)value);    
            }
            return value;

        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            value = (int)((double) value);
            return value;
        }

        #endregion
    }
}