﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media;
using Dapfor.Wpf.Controls;

namespace Dapfor.Wpf.Grid.Demo.Examples.Performance.FilterPerformance
{
    internal class MatchedValueConverter : IMultiValueConverter
    {
        public Brush MatchColor { get; set; }

        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            if(values.Length == 2)
            {
                var control = values[0] as FilterPerformanceDemo;
                var cell = values[1] as Cell;

                if (control != null && cell != null && control.IsMatched(cell)) return MatchColor;    
            }

            return null;
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            return null;
        }
    }
}