﻿using Dapfor.Wpf.Converters;

namespace Dapfor.Wpf.Grid.Demo.Examples.DataBinding.DeclarativeHierarchicalBinding
{
    public class Order
    {
        public Order(string orderId, string product, int quantity, double unitPrice)
        {
            OrderId = orderId;
            Product = product;
            Quantity = quantity;
            UnitPrice = unitPrice;
        }

        public string OrderId { get; private set; }

        public string Product { get; private set; }

        public int Quantity { get; private set; }

        [DoubleConverter(2)]
        public double UnitPrice { get; private set; }

        [DoubleConverter(2)]
        public double TotalPrice
        {
            get { return UnitPrice*Quantity; }
        }
    }
}